ad_page_contract {
  Show Aggregator Table 

  @author Alessandro Landim

} {
	data_id
}

permission::require_permission -party_id [ad_conn user_id] -object_id $data_id -privilege read
set admin_p [permission::permission_p -party_id [ad_conn user_id] -object_id $data_id -privilege admin]


set fields [db_list_of_lists get_fields {select field_id, pretty_name, key from data_aggregators_fields where data_id = :data_id order by field_id}]




set number_of_sort_order 0
set old_sort_order 0

db_multirow get_data select_data {
	select   daf.field_id, data, sort_order, key
	from     data_aggregators_fields daf,
			 data_aggregators_datas dad
	where    daf.field_id = dad.field_id
	and 	 daf.data_id = :data_id
	order by sort_order asc, daf.field_id asc
} {
	set table($sort_order-$field_id) $data
	
	if {$old_sort_order != $sort_order} {
		incr number_of_sort_order 
		set old_sort_order $sort_order
	}
	
}

set html "<table class=\"table_data_aggregator\" border=\"1\"><tr class=\"table_title\">"
foreach field_list $fields {
		util_unlist $field_list field_id pretty_name key
		if {$pretty_name != ""} {
			append html "<td><strong>$pretty_name</strong></td>"
		} else {	
			append html "<td><strong>$key</strong></td>"
		}
}

append html "</tr>"
		
for {set i 1} {$i <= $old_sort_order} {incr i} {
	append html "<tr>"
	foreach field_list $fields {
		util_unlist $field_list field_id pretty_name key
		append html "<td>$table(${i}-${field_id})</td>"
	}
	append html "</tr>"
}

append html "</table>"


	
