ad_page_contract {
  List data aggregator for this package_id 

  @author Alessandro Landim

} 

set package_id [ad_conn package_id]
set user_id [ad_conn user_id]

permission::require_permission -party_id [ad_conn user_id] -object_id [ad_conn package_id] -privilege read


template::list::create -name aggregator_list -multirow aggregator_list -key data_id -pass_properties {
} -elements {
    name {
        label ""
        display_template {
	        <a href="aggregator-view?data_id=@aggregator_list.data_id@">
				@aggregator_list.name@
			</a>
        }
    }
}

db_multirow aggregator_list select_aggregators {
       select data_id,
		   package_id,
		   name,
		   description
           from data_aggregators da,
				acs_objects ao
	    where package_id = :package_id
		and	  da.data_id = ao.object_id
		and   ao.package_id = :package_id	
        and 't' = acs_permission__permission_p(data_id, :user_id, 'read')
}
